NNPOST(1)

NAME
nnpost - post news articles (nn)

SYNOPSIS
nnpost [ -dksy string ] [ -f file ] [ -p ] [ group... ]

DESCRIPTION
nnpost is used to post new articles using nn's normal interface, but without entering nn in reading mode.

When started, it reads the init file and then directly executes nn's :post command.

It will prompt for a (comma-separated) list of news groups, the article subject, a list of keywords, a summary, and the distribution of the article. Each of these prompts can also be supplied via command line options or arguments as described below.

When prompted for the "Newsgroup:", entering a ? as the first key will cause nnpost to list all the known news groups and their purpose (if this information is available). You can also enter / followed by a word or regular expression which will cause nnpost to produce a (much) shorter listing only containing the groups whose name and/or purpose description matches the regular expression. When paging through either list, you can enter q to quit the listing.

If a source file is specified with -f it will be used as the initial article body. If the -p option is also specified, the article is posted directly without editing.

nnpost can be used to do unattended postings if sufficient arguments are provided on the command line to build the header and the body of the article. The required arguments are: one or more newsgroups, a subject (-s), a source file (-f), a distribution (-d), and the -p option. Other fields which are not specified (e.g. keywords) will not be included in the header. The contents of the news-header variable in the init file will be included in the header.

OPTIONS

-d distribution
    Use the specified distribution for the article.

-k "keywords"
    Associate the specified keywords with the article.

-s "subject"
    Use the specified subject for the new article.

-y "summary"
    Include the given summary in the article header.

-f file
    Read the article body from the specified file.

-p  Post the article specified with -f without editing.

FILES
~/.nn/init    The control variables for nnpost.

SEE ALSO
nn(1)

AUTHOR
Kim F. Storm, Texas Instruments A/S, Denmark
E-mail: storm@texas.dk